[arch-commits] Commit in gnome-python-extras/repos (3 files)

Ionut Biru ibiru at archlinux.org
Sat Nov 7 22:42:32 UTC 2009


    Date: Saturday, November 7, 2009 @ 17:42:32
  Author: ibiru
Revision: 58437

Merged revisions 58436 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/gnome-python-extras/trunk

........
  r58436 | ibiru | 2009-11-08 00:41:55 +0200 (Sun, 08 Nov 2009) | 2 lines
  
  upgpkg: gnome-python-extras 2.25.3-3
      rebuild against gdl 2.28 and added docs
........

Added:
  gnome-python-extras/repos/extra-i686/gnome-python-extras-2.25.3-update-for-2.27.2.patch
    (from rev 58436, gnome-python-extras/trunk/gnome-python-extras-2.25.3-update-for-2.27.2.patch)
Modified:
  gnome-python-extras/repos/extra-i686/	(properties)
  gnome-python-extras/repos/extra-i686/PKGBUILD

----------------------------------------------------+
 PKGBUILD                                           |   18 +-
 gnome-python-extras-2.25.3-update-for-2.27.2.patch |  126 +++++++++++++++++++
 2 files changed, 137 insertions(+), 7 deletions(-)


Property changes on: gnome-python-extras/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /gnome-python-extras/trunk:1-44698
   + /gnome-python-extras/trunk:1-58436

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-11-07 22:41:55 UTC (rev 58436)
+++ extra-i686/PKGBUILD	2009-11-07 22:42:32 UTC (rev 58437)
@@ -3,21 +3,25 @@
 
 pkgname=gnome-python-extras
 pkgver=2.25.3
-pkgrel=2
+pkgrel=3
 pkgdesc="Gnome Python interfaces for libraries not part of the core platform"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 license=('GPL' 'LGPL')
 depends=('gnome-python>=2.22.1')
-makedepends=('libgtkhtml' 'gtkspell' 'gdl' 'xulrunner>=1.9.1' 'libgksu' 'pkgconfig' 'libgnomeui' 'libgda')
+makedepends=('libgtkhtml' 'gtkspell' 'gdl>=2.28.1' 'xulrunner>=1.9.1' 'libgksu' 'pkgconfig' 'libgnomeui' 'libgda' 'docbook-xsl')
 optdepends=('libgtkhtml' 'gtkspell' 'gdl' 'xulrunner' 'libgksu' 'libgnomeui' 'libgda')
 options=('!libtool')
-source=(http://ftp.gnome.org/pub/gnome/sources/gnome-python-extras/2.25/gnome-python-extras-${pkgver}.tar.bz2)
+source=(http://ftp.gnome.org/pub/gnome/sources/gnome-python-extras/2.25/gnome-python-extras-${pkgver}.tar.bz2
+	gnome-python-extras-2.25.3-update-for-2.27.2.patch)
 url="http://www.daa.com.au/~james/pygtk/"
-md5sums=('9f3b7ec5c57130b96061cb486b79c076')
+md5sums=('9f3b7ec5c57130b96061cb486b79c076'
+         'ccb4a45519b950e74f1bb5d884a67549')
 
 build() {
   cd "${srcdir}/gnome-python-extras-${pkgver}"
-  ./configure --prefix=/usr || return 1
-  make MOZILLA_HOME=/usr/lib/xulrunner-1.9.1 || return 1 
+  patch -Np1 -i "${srcdir}"/gnome-python-extras-2.25.3-update-for-2.27.2.patch || return 1
+
+  ./configure --prefix=/usr --enable-docs || return 1
+  make MOZILLA_HOME=/usr/lib/xulrunner-1.9.1 || return 1
   make DESTDIR="${pkgdir}" install || return 1
 }

Copied: gnome-python-extras/repos/extra-i686/gnome-python-extras-2.25.3-update-for-2.27.2.patch (from rev 58436, gnome-python-extras/trunk/gnome-python-extras-2.25.3-update-for-2.27.2.patch)
===================================================================
--- extra-i686/gnome-python-extras-2.25.3-update-for-2.27.2.patch	                        (rev 0)
+++ extra-i686/gnome-python-extras-2.25.3-update-for-2.27.2.patch	2009-11-07 22:42:32 UTC (rev 58437)
@@ -0,0 +1,126 @@
+diff -up gnome-python-extras-2.25.3/gdl/gdl.defs.update-for-2.27.2 gnome-python-extras-2.25.3/gdl/gdl.defs
+--- gnome-python-extras-2.25.3/gdl/gdl.defs.update-for-2.27.2	2008-12-11 20:06:29.000000000 -0500
++++ gnome-python-extras-2.25.3/gdl/gdl.defs	2009-07-12 07:50:08.000000000 -0400
+@@ -46,13 +46,6 @@
+   (gtype-id "GDL_TYPE_DOCK_ITEM")
+ )
+ 
+-(define-object DockNotebook
+-  (in-module "Gdl")
+-  (parent "GdlDockItem")
+-  (c-name "GdlDockNotebook")
+-  (gtype-id "GDL_TYPE_DOCK_NOTEBOOK")
+-)
+-
+ (define-object Dock
+   (in-module "Gdl")
+   (parent "GdlDockObject")
+@@ -60,13 +53,6 @@
+   (gtype-id "GDL_TYPE_DOCK")
+ )
+ 
+-(define-object DockPaned
+-  (in-module "Gdl")
+-  (parent "GdlDockItem")
+-  (c-name "GdlDockPaned")
+-  (gtype-id "GDL_TYPE_DOCK_PANED")
+-)
+-
+ (define-object DockPlaceholder
+   (in-module "Gdl")
+   (parent "GdlDockObject")
+@@ -74,12 +60,6 @@
+   (gtype-id "GDL_TYPE_DOCK_PLACEHOLDER")
+ )
+ 
+-(define-object DockTablabel
+-  (in-module "Gdl")
+-  (parent "GtkBin")
+-  (c-name "GdlDockTablabel")
+-  (gtype-id "GDL_TYPE_DOCK_TABLABEL")
+-)
+ 
+ (ifdef HAVE_GDL_0_7
+ 
+@@ -682,21 +662,6 @@
+ 
+ 
+ 
+-;; From gdl-dock-notebook.h
+-
+-(define-function gdl_dock_notebook_new
+-  (c-name "gdl_dock_notebook_new")
+-  (is-constructor-of "GdlDockNotebook")
+-  (return-type "GtkWidget*")
+-)
+-
+-(define-function gdl_dock_notebook_get_type
+-  (c-name "gdl_dock_notebook_get_type")
+-  (return-type "GType")
+-)
+-
+-
+-
+ ;; From gdl-dock-object.h
+ 
+ (define-function gdl_dock_object_get_type
+@@ -848,24 +813,6 @@
+ 
+ 
+ 
+-;; From gdl-dock-paned.h
+-
+-(define-function gdl_dock_paned_get_type
+-  (c-name "gdl_dock_paned_get_type")
+-  (return-type "GType")
+-)
+-
+-(define-function gdl_dock_paned_new
+-  (c-name "gdl_dock_paned_new")
+-  (is-constructor-of "GdlDockPaned")
+-  (return-type "GtkWidget*")
+-  (properties
+-    '("orientation")
+-  )
+-)
+-
+-
+-
+ ;; From gdl-dock-placeholder.h
+ 
+ (define-function gdl_dock_placeholder_get_type
+@@ -896,34 +843,6 @@
+ 
+ 
+ 
+-;; From gdl-dock-tablabel.h
+-
+-(define-function gdl_dock_tablabel_new
+-  (c-name "gdl_dock_tablabel_new")
+-  (is-constructor-of "GdlDockTablabel")
+-  (return-type "GtkWidget*")
+-  (properties
+-    '("item")
+-  )
+-)
+-
+-(define-function gdl_dock_tablabel_get_type
+-  (c-name "gdl_dock_tablabel_get_type")
+-  (return-type "GType")
+-)
+-
+-(define-method activate
+-  (of-object "GdlDockTablabel")
+-  (c-name "gdl_dock_tablabel_activate")
+-  (return-type "none")
+-)
+-
+-(define-method deactivate
+-  (of-object "GdlDockTablabel")
+-  (c-name "gdl_dock_tablabel_deactivate")
+-  (return-type "none")
+-)
+-
+ ;; From gdl-icons.h
+ 
+ (ifdef HAVE_GDL_0_7




More information about the arch-commits mailing list